Bug 230682 - databases/mariadb103-client & databases/mariadb103-server: Fix build for aarch64
Summary: databases/mariadb103-client & databases/mariadb103-server: Fix build for aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-17 02:06 UTC by Naram Qashat
Modified: 2018-10-28 08:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments
mariadb103-server.patch (1.61 KB, patch)
2018-08-17 02:06 UTC, Naram Qashat
cyberbotx: maintainer-approval?
Details | Diff
mariadb103-client.patch (1.94 KB, patch)
2018-08-17 02:07 UTC, Naram Qashat
cyberbotx: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2018-08-17 02:06:54 UTC
Created attachment 196266 [details]
mariadb103-server.patch

Similar to bug #227628, this fixes MariaDB 10.3 to build for aarch64. It actually needs to be applied to both client and server, for some reason the mysys/stacktrace.c is used by both in 10.3 while only used by the server in 10.2 and earlier, not sure why.

This is the server patch, next will be the client patch.
Comment 1 Naram Qashat 2018-08-17 02:07:25 UTC
Created attachment 196267 [details]
mariadb103-client.patch
Comment 2 Bernard Spil freebsd_committer 2018-08-17 10:16:42 UTC
Hi Naram,

Currently working on updating the port to 10.3.9. Will include this.

Cheers, Bernard.
Comment 3 commit-hook freebsd_committer 2018-10-25 15:59:43 UTC
A commit references this bug:

Author: brnrd
Date: Thu Oct 25 15:59:38 UTC 2018
New revision: 482974
URL: https://svnweb.freebsd.org/changeset/ports/482974

Log:
  databases/mariadb103-server: Update to 10.3.10

   - Fix build on aarch64 [1]
   - Not broken in i386 [2]
   - WSREP only on amd64

  PR:		230682 [1], 230027 [2]
  Submitted by:	Naram Qashat <cyberbotx cyberbotx com> [1]
  Reported by:	<dewayne heuristicsystems com.au> [2]
  Security:	909be51b-9b3b-11e8-add2-b499baebfeaf
  MFH:		2018Q4

Changes:
  head/databases/mariadb103-client/Makefile
  head/databases/mariadb103-client/files/patch-MDEV-15961
  head/databases/mariadb103-client/pkg-plist
  head/databases/mariadb103-server/Makefile
  head/databases/mariadb103-server/distinfo
  head/databases/mariadb103-server/files/mysql-server.in
  head/databases/mariadb103-server/files/patch-MDEV-15961
  head/databases/mariadb103-server/files/patch-sql_CMakeLists.txt
  head/databases/mariadb103-server/files/patch-sql_semisync__master__ack__receiver.cc
  head/databases/mariadb103-server/files/patch-sql_share_CMakeLists.txt
  head/databases/mariadb103-server/files/patch-storage_rocksdb_build__rocksdb.cmake
  head/databases/mariadb103-server/files/patch-storage_rocksdb_rocksdb_db_malloc__stats.cc
  head/databases/mariadb103-server/pkg-plist
Comment 4 Bernard Spil freebsd_committer 2018-10-25 16:22:56 UTC
Sorry this took so long.
Comment 5 commit-hook freebsd_committer 2018-10-28 08:27:08 UTC
A commit references this bug:

Author: brnrd
Date: Sun Oct 28 08:26:46 UTC 2018
New revision: 483238
URL: https://svnweb.freebsd.org/changeset/ports/483238

Log:
  MFH: r482974 r483143

  databases/mariadb103-server: Update to 10.3.10

   - Fix build on aarch64 [1]
   - Not broken in i386 [2]
   - WSREP only on amd64

  PR:		230682 [1], 230027 [2]
  Submitted by:	Naram Qashat <cyberbotx cyberbotx com> [1]
  Reported by:	<dewayne heuristicsystems com.au> [2]
  Security:	909be51b-9b3b-11e8-add2-b499baebfeaf

  databases/mariadb103-server: Fix plist issues

   - Resurect mysql_upgrade [1]
   - Move some files between -client and -server

  PR:		232735 [1]
  Reported by:	Naram Qashat <cyberbotx cyberbotx com> [1]

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/databases/mariadb103-client/Makefile
  branches/2018Q4/databases/mariadb103-client/files/patch-MDEV-11790
  branches/2018Q4/databases/mariadb103-client/files/patch-MDEV-15961
  branches/2018Q4/databases/mariadb103-client/pkg-plist
  branches/2018Q4/databases/mariadb103-server/Makefile
  branches/2018Q4/databases/mariadb103-server/distinfo
  branches/2018Q4/databases/mariadb103-server/files/mysql-server.in
  branches/2018Q4/databases/mariadb103-server/files/patch-MDEV-11790
  branches/2018Q4/databases/mariadb103-server/files/patch-MDEV-15961
  branches/2018Q4/databases/mariadb103-server/files/patch-sql_CMakeLists.txt
  branches/2018Q4/databases/mariadb103-server/files/patch-sql_semisync__master__ack__receiver.cc
  branches/2018Q4/databases/mariadb103-server/files/patch-sql_share_CMakeLists.txt
  branches/2018Q4/databases/mariadb103-server/files/patch-storage_rocksdb_build__rocksdb.cmake
  branches/2018Q4/databases/mariadb103-server/files/patch-storage_rocksdb_rocksdb_db_malloc__stats.cc
  branches/2018Q4/databases/mariadb103-server/pkg-plist